// ignore_for_file: use_super_parameters

import 'package:flutter/material.dart';

class CommonContainerAuth extends StatelessWidget {
  final Widget child;

  const CommonContainerAuth({Key? key, required this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      margin: const EdgeInsets.only(left: 16, right: 16),
      padding: const EdgeInsets.only(top: 31, right: 18, bottom: 31, left: 18),
      decoration: BoxDecoration(
        color: const Color(0x99FFFFFF), // #FFFFFF with 60% opacity (99 in hex)
        border: Border.all(color: Colors.white, width: 2),
        borderRadius: BorderRadius.circular(12),
        boxShadow: [
          BoxShadow(
            color: Colors.black.withOpacity(0.1),
            blurRadius: 10,
            offset: const Offset(0, 4),
          ),
        ],
      ),
      child: child,
    );
  }
}
